/* This file is here to prevent a file conflict on multiarch systems.  A
 * conflict will occur because types.h has arch-specific definitions.
 *
 * DO NOT INCLUDE THE NEW FILE DIRECTLY -- ALWAYS INCLUDE THIS ONE INSTEAD. */

#if defined(__i386__)
#include "types-i386.h"
#elif defined(__ia64__)
#include "types-ia64.h"
#elif defined(__powerpc64__)
#include "types-ppc64.h"
#elif defined(__powerpc__)
#include "types-ppc.h"
#elif defined(__s390x__)
#include "types-s390x.h"
#elif defined(__s390__)
#include "types-s390.h"
#elif defined(__x86_64__)
#include "types-x86_64.h"
#else
#error "This libast-devel package does not work your architecture?"
#endif

